package com.xkrs.controller;

import com.xkrs.model.qo.QcInspectionPictureQo;
import com.xkrs.service.QcInspectionPictureService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.io.IOException;

/**
 * @Author: XinYi Song
 * @Date: 2022/1/20 16:01
 */
@RestController
public class QcInspectionPictureController {

    @Resource
    private QcInspectionPictureService inspectionPictureService;

    /**
     * 上传图片
     */
    @PostMapping("/insertPicture")
    public String insertPicture(QcInspectionPictureQo inspectionPictureQo, @RequestParam("filePicture") MultipartFile pictureFile) throws IOException {
        return inspectionPictureService.insertPicture(inspectionPictureQo, pictureFile);
    }


}
