package com.xkrs.dao;

import com.xkrs.model.entity.QcInspectionSpec;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface QcInspectionSpecDao extends JpaRepository<QcInspectionSpec, Long>, JpaSpecificationExecutor<QcInspectionSpec> {

    List<QcInspectionSpec> findByPartNoAndInspectionItemCode(String partNo, String inspectionItemCode);
}
