package com.xkrs.service;

import com.xkrs.model.qo.QcInspectionFileQo;
import org.apache.poi.openxml4j.exceptions.InvalidFormatException;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

/**
 * @Author: XinYi Song
 * @Date: 2022/1/20 15:24
 */
public interface QcInspectionFileService {

    /**
     * 添加模板信息
     *
     * @param inspectionFileQo
     * @return
     */
    String insertFileExcel(QcInspectionFileQo inspectionFileQo, MultipartFile fileExcel) throws IOException;

    /**
     * 导出excel
     *
     * @param inspectionFileQo
     * @return
     */
    String exportExcel(QcInspectionFileQo inspectionFileQo) throws IOException, InvalidFormatException;
}
